package com.uas.platform.b2b.erp.model;

import com.uas.platform.b2b.model.PurchaseOrderItem;

/**
 * 卖家ERP系统的客户采购订单明细（针对结案、反结案）
 * 
 * @author yingp
 * 
 */
public class SaleDownDetailEnd {

	private Long b2b_pd_id;
	private long cu_uu;
	private String sd_code;
	private short sd_detno;
	private Short sd_ended;

	public String getSd_code() {
		return sd_code;
	}

	public void setSd_code(String sd_code) {
		this.sd_code = sd_code;
	}

	public short getSd_detno() {
		return sd_detno;
	}

	public void setSd_detno(short sd_detno) {
		this.sd_detno = sd_detno;
	}

	public Short getSd_ended() {
		return sd_ended;
	}

	public void setSd_ended(Short sd_ended) {
		this.sd_ended = sd_ended;
	}

	public Long getB2b_pd_id() {
		return b2b_pd_id;
	}

	public void setB2b_pd_id(Long b2b_pd_id) {
		this.b2b_pd_id = b2b_pd_id;
	}

	public long getCu_uu() {
		return cu_uu;
	}

	public void setCu_uu(long cu_uu) {
		this.cu_uu = cu_uu;
	}

	public SaleDownDetailEnd() {
	}

	/**
	 * 转为卖家ERP的结案、反结案客户采购明细
	 * 
	 * @param orderItem
	 */
	public SaleDownDetailEnd(PurchaseOrderItem orderItem) {
		this.b2b_pd_id = orderItem.getId();
		this.cu_uu = orderItem.getOrder().getEnUU();
		this.sd_code = orderItem.getOrder().getCode();
		this.sd_detno = orderItem.getNumber();
		this.sd_ended = orderItem.getEnd();
	}

}
